Bug 60868 - initscript should search files in $ROOTDIR
initscript should search files in $ROOTDIR
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-07 20:47 EST by Enrico Scholz
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-07 20:47:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-03-07 20:47:43 EST
Description of Problem:

/etc/init.d/named checks for the existence of /etc/named.conf to decide if bind
shall be executed or not:

| [ -f /etc/named.conf ] || exit 0

When having a chrooted bind, this file does not exists there but in
$ROOTDIR/etc/named.conf. Therefore, the check above should be

| [ -f ${ROOTDIR}/etc/named.conf ] || exit 0


Version-Release number of selected component (if applicable):

bind-9.2.0-6
Comment 1 Bernhard Rosenkraenzer 2002-03-11 08:26:48 EST
Done in 9.2.0-7

Note You need to log in before you can comment on or make changes to this bug.